Update Collection
curl --request PUT \
--url https://api.example.com/api/v1/collections/{collection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "<string>",
"status": "<string>",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "<string>",
"source_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/collections/{collection_id}"
payload = {
"name": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "<string>",
"status": "<string>",
"tags": ["<string>"],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "<string>",
"source_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
store_type: '<string>',
visibility: '<string>',
status: '<string>',
tags: ['<string>'],
parent_id: '<string>',
stats: {},
meta_data: {},
settings: {},
embedding: {},
source_type: '<string>',
source_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "private",
"status": "active",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "document",
"source_id": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
Update Collection
Update collection.
PUT
/
api
/
v1
/
collections
/
{collection_id}
Update Collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Body
application/json
Schema for updating a collection.
Required string length:
1 - 100Maximum string length:
255Response
Successful Response
Schema for reading collection data.
Collection ID
Collection name
Required string length:
1 - 100Reference to workspace
Collection description
Maximum string length:
255Storage type for the collection
Collection visibility (private/public)
Collection status
Collection tags for organization
Reference to parent collection
Collection statistics
Collection metadata
Collection configuration settings
Embedding configuration
Show child attributes
Show child attributes
Collection source type
Collection source ID
User who created the collection
⌘I